unit SDIB32GLAPI;

//////////////////////////////////////////////////////////////////////////////
//
// Super DIB 32bit Graphic Library API
//
// built on 2004/4/19
// WebSite: http://www.studio-freesky.net/
// E-Mail: webmaster@studio-freesky.net
// Copyright(C) 2004-2006 Studio FREE-SKY. All rights reserved.
//////////////////////////////////////////////////////////////////////////////

interface

uses Windows;

    { SDIB32GLo[W擾API֐ }
    function SDIB32GLGetVersion: Integer; stdcall; external 'SDIB32GL.DLL';

    { MMX`FbNAPI֐ }
    function SDIB32GLIsMMX: Integer; stdcall; external 'SDIB32GL.DLL';

    { G[擾API֐ }
    function SDIB32GLGetErrorText( hr: HResult; lpString: PChar; nMaxCount: Integer ): HResult; stdcall; external 'SDIB32GL.DLL';

    { ARGB쐬API֐ }
    function SDIB32GLCOLOR_ARGB( a, r, g, b: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorARGB';

    { RGBA쐬API֐ }
    function SDIB32GLCOLOR_RGBA( r, g, b, a: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorRGBA';

    { XRGB쐬API֐ }
    function SDIB32GLCOLOR_XRGB( r, g, b: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorXRGB';

    { RGB쐬API֐ }
    function SDIB32GLCOLOR_RGB( r, g, b: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorRGB';

    { vf쐬API֐ }
    function SDIB32GLCOLOR_SETALPHA( a: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorSetAlpha';

    { ԗvf쐬API֐}
    function SDIB32GLCOLOR_SETRED( r: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorSetRed';

    { Ηvf쐬API֐ }
    function SDIB32GLCOLOR_SETGREEN( g: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorSetGreen';

    { vf쐬API֐ }
    function SDIB32GLCOLOR_SETBLUE( b: Byte ): DWORD; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorSetBlue';

    { vf擾API֐ }
    function SDIB32GLCOLOR_GETALPHA( argb: DWORD ): Byte; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorGetAlpha';

    { ԗvf擾API֐ }
    function SDIB32GLCOLOR_GETRED( argb: DWORD ): Byte; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorGetRed';

    { Ηvf擾API֐ }
    function SDIB32GLCOLOR_GETGREEN( argb: DWORD ): Byte; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorGetGreen';

    { vf擾API֐ }
    function SDIB32GLCOLOR_GETBLUE( argb: DWORD ): Byte; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorGetBlue';

    { tvf擾API֐ }
    function SDIB32GLCOLOR_GETREVALPHA( argb: DWORD ): Byte; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLColorGetRevAlpha';

    { 360x512xϊAPI֐ }
    function SDIB32GLANGLE_360To512( angle: Integer ): Integer; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLAngle360To512';

    { 512x360xϊAPI֐ }
    function SDIB32GLANGLE_512To360( angle: Integer ): Integer; stdcall; external 'SDIB32GL.DLL' name 'SDIB32GLAngle512To360';

implementation

end.
