#ifndef _INC_DDUTIL
#define _INC_DDUTIL

ATOM MyRegisterClass( HINSTANCE hInstance );
BOOL InitInstance( HINSTANCE hInstance, int nCmdShow );
LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK TitleBarProc(HWND hWndTitleBar, UINT message, WPARAM wParam, LPARAM lParam);
BOOL AppInitialize( void );
void AppIdle( void );
void AppCleanUp( void );
void SetTextMode( LPSDIB32GL lpBack );
void InitDirectDraw( HWND hWnd );
void UnInitDirectDraw( void );
void OnPaint( void );
void DrawInfo( LPSDIB32GL lpBack );

extern HINSTANCE	hInst;
extern HWND			hWnd;
extern char			szTitle[256];
extern LPDIRECTDRAWSURFACE7 lpDDSPrimary;
extern LPDIRECTDRAWSURFACE7 lpDDSBack;
extern RECT					rcClient;
extern RECT					rcSource;
#define CLIENT_WIDTH	640
#define CLIENT_HEIGHT	480
#define CLIENT_WIDTH_H		(CLIENT_WIDTH>>1)
#define CLIENT_HEIGHT_H		(CLIENT_HEIGHT>>1)
#define MEDIAPATH( file )		L"../../Media/"##file
#define SAFE_RELEASE(p)      { if(p) { (p)->Release(); (p)=NULL; } }
#define RANDOMIZE			srand(timeGetTime())

#define BEGIN_APPIDLE			\
	MSG	msg;	\
	for(;;) {	\
		if( ::PeekMessage( &msg, NULL, 0, 0, PM_REMOVE ) ) {	\
			if( msg.message == WM_QUIT ) break;	\
			::TranslateMessage( &msg );	\
			::DispatchMessage( &msg );	\
		} else {

#define END_APPIDLE	} }


#endif /* _INC_DDUTIL */