Attribute VB_Name = "Util"
Option Explicit

Public fps As New FpsTimer
Public ZeroPos As POINT


'****************************************************************************
' WINAPI`
'****************************************************************************
Public Declare Function AdjustWindowRect Lib "user32" ( _
ByRef rc As RECT, _
ByVal Style As Long, _
ByVal menu As Long _
) As Long

Public Declare Function TextOut Lib "gdi32" Alias "TextOutA" ( _
ByVal hDC As Long, _
ByVal x As Long, _
ByVal y As Long, _
ByVal str As String, _
ByVal n As Long _
) As Long

Public Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" ( _
ByVal hWnd As Long, _
ByVal Index As Long _
) As Long

Public Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" ( _
ByVal hWnd As Long, _
ByVal Index As Long, _
ByVal NewLong As Long _
) As Long

Public Declare Function GetSystemMetrics Lib "user32" ( _
ByVal Index As Long _
) As Long

Public Declare Function SetBkMode Lib "gdi32" ( _
ByVal hDC As Long, _
ByVal BkMode As Long _
) As Long

Public Declare Function SetTextColor Lib "gdi32" ( _
ByVal hDC As Long, _
ByVal crColor As Long _
) As Long

Public Const GWL_STYLE = -16
Public Const TRANSPARENT = 1
Public Const WS_MAXIMIZEBOX = &H10000
Public Const WS_THICKFRAME = &H40000
Public Const SM_CXSCREEN = 0
Public Const SM_CYSCREEN = 1
Public Const CLIENT_WIDTH = 640
Public Const CLIENT_HEIGHT = 480


'-----------------------------------------------------------------------------
'   tH[
'-----------------------------------------------------------------------------
Public Sub FormInitialize()
    Dim winrc As RECT
    Dim Width As Long
    Dim Height As Long
    Dim Style As Long
    
    ' ^Cgݒ
    Form1.Caption = App.EXEName
    
    ' vWFNgɐݒ肷̂߂ǂ̂Łc
    Style = GetWindowLong(Form1.hWnd, GWL_STYLE) _
        Xor (WS_MAXIMIZEBOX Or WS_THICKFRAME)
        
    Call SetWindowLong(Form1.hWnd, GWL_STYLE, Style)
    
    winrc.Left = 0
    winrc.Top = 0
    winrc.Right = CLIENT_WIDTH
    winrc.Bottom = CLIENT_HEIGHT
    
    Call AdjustWindowRect(winrc, Style, False)
    
    Width = winrc.Right - winrc.Left
    Height = winrc.Bottom - winrc.Top
    
    Form1.Left = Screen.TwipsPerPixelX * ((GetSystemMetrics(SM_CXSCREEN) - Width) \ 2)
    Form1.Top = Screen.TwipsPerPixelY * ((GetSystemMetrics(SM_CYSCREEN) - Height) \ 2)
    Form1.Width = Screen.TwipsPerPixelX * Width
    Form1.Height = Screen.TwipsPerPixelY * Height
    
    ' tH[̉
    Form1.Visible = True
    
End Sub


'-----------------------------------------------------------------------------
'   eLXg[hݒ
'-----------------------------------------------------------------------------
Public Sub SetTextMode(ByRef Back As ISDib32GL)

    Call SetBkMode(Back.GetDC(), TRANSPARENT)
    
    Call SetTextColor(Back.GetDC(), RGB(255, 0, 0))
    
End Sub


'-----------------------------------------------------------------------------
'   ̕`
'-----------------------------------------------------------------------------
Public Sub DrawInfo(ByRef Back As ISDib32GL)
    
    Dim strBuf As String
    Dim mmx As String
    
    If (SDIB32GLIsMMX()) Then
        mmx = "YES"
    Else
        mmx = "NO"
    End If
    
    strBuf = Format$(fps.GetFPS(), "###.00fps") & _
        " UseMMX=" & mmx & " Ver" & Format$(SDIB32GLGetVersion() / 100, "#.00")
    
    Call TextOut(Back.GetDC(), 0, 0, strBuf, Len(strBuf))
    
End Sub


'-----------------------------------------------------------------------------
'   fBApX쐬
'-----------------------------------------------------------------------------
Public Function MediaPath(ByVal file As String) As String

    MediaPath = "../../Media/" & file

End Function
