
/******************************************************************************
*
*	SDIB32GL(x86) o[W݊֐
*
******************************************************************************/

#define SDIB32GLX86_CAST( itf ) safe_cast(CSDib32GLX86*, itf)


// 
// SDIB32GL(x86) ver.1
//

#undef SDIB32GLINTERFACE
#define SDIB32GLINTERFACE	ISDib32GL


STDMETHODIMP CSDib32GLX86::AlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::ColorKeyAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalColorKeyAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::AddBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize )
{
	return InternalAddBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize );
}


STDMETHODIMP CSDib32GLX86::AddAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalAddAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::SubBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize )
{
	return InternalSubBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize );
}


STDMETHODIMP CSDib32GLX86::SubAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalSubAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::AlphaChannelBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize )
{
	return InternalAlphaChannelBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize );
}


STDMETHODIMP CSDib32GLX86::AlphaChannelAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalAlphaChannelAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::AlphaChannelMaskBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize )
{
	return InternalAlphaChannelMaskBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize );
}


STDMETHODIMP CSDib32GLX86::AlphaChannelMaskAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha )
{
	return InternalAlphaChannelMaskAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha );
}


STDMETHODIMP CSDib32GLX86::RotateAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateColorKeyAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateColorKeyAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAddBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAddBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAddAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAddAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateSubBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateSubBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateSubAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateSubAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAlphaChannelBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAlphaChannelBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAlphaChannelAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAlphaChannelAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAlphaChannelMaskBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAlphaChannelMaskBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::RotateAlphaChannelMaskAlphaBlendBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt )
{
	return InternalRotateAlphaChannelMaskAlphaBlendBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, Alpha, nAngle, lpCenterPt );
}


STDMETHODIMP CSDib32GLX86::UniversalTransBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, SDIB32GLINTERFACE* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags )
{
	return InternalUniversalTransBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, SDIB32GLX86_CAST(lpRuleSDIB32GL), wPhase, Vague, dwRuleFlags );
}


STDMETHODIMP CSDib32GLX86::UniversalTransColorKeyBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, SDIB32GLINTERFACE* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags )
{
	return InternalUniversalTransColorKeyBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, SDIB32GLX86_CAST(lpRuleSDIB32GL), wPhase, Vague, dwRuleFlags );
}


STDMETHODIMP CSDib32GLX86::UniversalTransAlphaChannelBlt( SDIB32GLINTERFACE* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, SDIB32GLINTERFACE* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags )
{
	return InternalUniversalTransAlphaChannelBlt( SDIB32GLX86_CAST(lpSrcSDIB32GL), nDstX, nDstY, lpDstSize, lpSrcPt, lpSrcSize, SDIB32GLX86_CAST(lpRuleSDIB32GL), wPhase, Vague, dwRuleFlags );
}