#ifndef _INC_SDIB32GLX86
#define _INC_SDIB32GLX86


/*----------------------------------------------------------------------------*
|	SDIB32GL X86 Class
*----------------------------------------------------------------------------*/
class CSDib32GLX86 : public CSDib32GLBase
{
protected:

	/*** Common Interface's Internal Methods ***/
	INLINEMETHODIMP InternalAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalColorKeyAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalAddBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	INLINEMETHODIMP InternalAddAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalSubBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	INLINEMETHODIMP InternalSubAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalAlphaChannelBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	INLINEMETHODIMP InternalAlphaChannelAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalAlphaChannelMaskBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	INLINEMETHODIMP InternalAlphaChannelMaskAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	INLINEMETHODIMP InternalRotateAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateColorKeyAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAddBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAddAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateSubBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateSubAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAlphaChannelBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAlphaChannelAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAlphaChannelMaskBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalRotateAlphaChannelMaskAlphaBlendBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	INLINEMETHODIMP InternalUniversalTransBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, CSDib32GLX86* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );
	INLINEMETHODIMP InternalUniversalTransColorKeyBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, CSDib32GLX86* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );
	INLINEMETHODIMP InternalUniversalTransAlphaChannelBlt( CSDib32GLX86* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, CSDib32GLX86* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );

public:

	CSDib32GLX86() _THROW0() {}

	/*** ISDib32GL methods ***/
	STDMETHODIMP AlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP ColorKeyAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP AddBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	STDMETHODIMP AddAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP SubBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	STDMETHODIMP SubAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP AlphaChannelBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	STDMETHODIMP AlphaChannelAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP AlphaChannelMaskBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize );
	STDMETHODIMP AlphaChannelMaskAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha );
	STDMETHODIMP RotateAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateColorKeyAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAddBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAddAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateSubBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateSubAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAlphaChannelBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAlphaChannelAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAlphaChannelMaskBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP RotateAlphaChannelMaskAlphaBlendBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, BYTE Alpha, long nAngle, LPPOINT lpCenterPt );
	STDMETHODIMP UniversalTransBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, ISDib32GL* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );
	STDMETHODIMP UniversalTransColorKeyBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, ISDib32GL* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );
	STDMETHODIMP UniversalTransAlphaChannelBlt( ISDib32GL* lpSrcSDIB32GL, long nDstX, long nDstY, LPSIZE lpDstSize, LPPOINT lpSrcPt, LPSIZE lpSrcSize, ISDib32GL* lpRuleSDIB32GL, WORD wPhase, BYTE Vague, DWORD dwRuleFlags );
	STDMETHODIMP RectangleAlpha( long x, long y, long nWidth, long nHeight, SDIB32GLCOLOR Color );
	STDMETHODIMP RectangleAdd( long x, long y, long nWidth, long nHeight, SDIB32GLCOLOR Color );
	STDMETHODIMP RectangleSub( long x, long y, long nWidth, long nHeight, SDIB32GLCOLOR Color );
	STDMETHODIMP LineAlpha( long x0, long y0, long x1, long y1, SDIB32GLCOLOR Color );
	STDMETHODIMP LineAdd( long x0, long y0, long x1, long y1, SDIB32GLCOLOR Color );
	STDMETHODIMP LineSub( long x0, long y0, long x1, long y1, SDIB32GLCOLOR Color );
	STDMETHODIMP EllipseAlpha( long x0, long y0, long rx, long ry, SDIB32GLCOLOR Color );
	STDMETHODIMP EllipseAdd( long x0, long y0, long rx, long ry, SDIB32GLCOLOR Color );
	STDMETHODIMP EllipseSub( long x0, long y0, long rx, long ry, SDIB32GLCOLOR Color );
	STDMETHODIMP Mono( long x, long y, long nWidth, long nHeight, BYTE Strength );
	STDMETHODIMP Sepia( long x, long y, long nWidth, long nHeight, BYTE Strength, SDIB32GLCOLOR Color  );
	STDMETHODIMP Bright( long x, long y, long nWidth, long nHeight, long nBright );
};


#endif /* _INC_SDIB32GLX86 */