
/******************************************************************************
*
*	SDIB32GL Factory o[W݊֐
*
******************************************************************************/


// 
// SDIB32GL Factory ver.1
//

#undef SDIB32GLIID
#define SDIB32GLIID			IID_ISDib32GL
#undef SDIB32GLINTERFACE
#define SDIB32GLINTERFACE	ISDib32GL


STDMETHODIMP CSDib32GLFactory::CreateBuffer( long nWidth, long nHeight, SDIB32GLCOLOR FillColor, HDC hDC, SDIB32GLINTERFACE** ppRet )
{
	return InternalCreateBuffer( nWidth, nHeight, FillColor, hDC, SDIB32GLIID, (void**)ppRet );
}


STDMETHODIMP CSDib32GLFactory::CreateBufferFromFile( const BSTR bstrFileName, long nOffset, const BSTR bstrSpiDir, SDIB32GLCOLOR ColorKey, HDC hDC, SDIB32GLINTERFACE** ppRet )
{
	return InternalCreateBufferFromFile( bstrFileName, nOffset, bstrSpiDir, ColorKey, hDC, SDIB32GLIID, (void**)ppRet );
}


STDMETHODIMP CSDib32GLFactory::CreateBufferFromMemory( const void* pvMemory, long nSize, const BSTR bstrSpiDir, SDIB32GLCOLOR ColorKey, HDC hDC, SDIB32GLINTERFACE** ppRet )
{
	return InternalCreateBufferFromMemory( pvMemory, nSize, bstrSpiDir, ColorKey, hDC, SDIB32GLIID, (void**)ppRet );
}


STDMETHODIMP CSDib32GLFactory::CreateBufferFromResource( HINSTANCE hInstance, const BSTR bstrBitmapID, SDIB32GLCOLOR ColorKey, HDC hDC, SDIB32GLINTERFACE** ppRet )
{
	return InternalCreateBufferFromResource( hInstance, bstrBitmapID, ColorKey, hDC, SDIB32GLIID, (void**)ppRet );
}


STDMETHODIMP CSDib32GLFactory::DuplicateBuffer( SDIB32GLINTERFACE* pOriginal, SDIB32GLINTERFACE** ppRet )
{
	return InternalDuplicateBuffer( safe_cast(CSDib32GLBase*, pOriginal), SDIB32GLIID, (void**)ppRet );
}
