#ifndef _INC_STDAFX
#define _INC_STDAFX

#pragma comment(lib, "libjpeg.lib" )
#pragma comment(lib, "libpng.lib" )
#pragma comment(lib, "zlib.lib" )
#pragma comment( lib, "memlibjpeg.lib" )// IJG JPEG Library [ǂݍݒǉCu

// VOXbh([Xp)CuftHgCu疳
#pragma comment( linker, "/NODEFAULTLIB:libc.lib" )


// SDIB32GLo[W
#define SDIB32GL_VERSION	100


/*----------------------------------------------------------------------------*
|	C/C++ RUNTIME HEADER
*----------------------------------------------------------------------------*/
#include <cstdio>
#include <cstring>
#include <cstdlib>
#include <cstdarg>
#include <cmath>
#include <new>
#include <new.h>
#include <crtdbg.h>
#include <locale.h>


/*----------------------------------------------------------------------------*
|	STL HEADER
*----------------------------------------------------------------------------*/
#pragma warning( disable : 4786 )
#include <string>
#include <map>
#include <list>
#pragma warning( default : 4786 )
using namespace std;


/*----------------------------------------------------------------------------*
|	WINDOWS HEADER
*----------------------------------------------------------------------------*/
#define STRICT				// Ȍ^`FbNLɂ
#include <windows.h>
#include <png.h>
extern "C" {
#define XMD_H
#include <jpeglib.h>
#include "memjpeglib.h"
}


/*----------------------------------------------------------------------------*
|	UTILITY HEADER
*----------------------------------------------------------------------------*/
#include "ComUtil.h"
#include "Factory.h"
#include "ExceptionEx.h"
#include "NewThrow.h"
#include "File.h"
#include "auto_ptrEx.h"
#include "auto_array.h"
#include "shared_ptr.h"
#include "shared_array.h"
#include "Targa.h"
#define SLIB_USE_SINCOSTBL
#include "sincostable.h"
#define SLIB_USE_GRAPHICLOADER
#include "GraphicLoader.h"
#define SLIB_USE_GRAPHICSAVER
#include "GraphicSaver.h"

using namespace selna;


/*----------------------------------------------------------------------------*
|	SDIB32GL MACROS
*----------------------------------------------------------------------------*/
//*
#define safe_cast( type, expression ) dynamic_cast<type>(expression)
/*/
#define safe_cast( type, expression ) static_cast<type>(expression)
//*/

#define SAFE_FREE( a )			if( (a) ){ ::free( (a) ); (a)=NULL; }
#define SAFE_DELETE( a )		if( (a) ){ delete (a); (a)=NULL; }
#define SAFE_RELEASE( a )		if( (a) ){ (a)->Release(); (a)=NULL; }
#define SAFE_DELETE_ARRAY( a )	if( (a) ){ delete [] (a); (a)=NULL; }
#define SAFE_DELETE_DC( a )		if( (a) ){ ::DeleteDC( (a) ); (a)=NULL; }
#define SAFE_DELETE_OBJECT( a )	if( (a) ){ ::DeleteObject( (a) ); (a)=NULL; }
#if _MSC_VER <= 1200
#define for if(0) {} else for
#endif
//*
#define INLINE	inline
/*/
#define INLINE	__forceinline
//*/
#define INLINEMETHODIMP				INLINE HRESULT
#define INLINEMETHODIMP_( type )	INLINE type


/*----------------------------------------------------------------------------*
|	SDIB32GLFunctions
*----------------------------------------------------------------------------*/
#if _DEBUG
class CDebugOut {
private:
	static ULONG m_ulRef;
	static char	 m_szLogName[256];

public:
	CDebugOut() {
		char szModulePath[_MAX_PATH];
		char drive[_MAX_DRIVE];
		char dir[_MAX_DIR];
		char name[_MAX_FNAME];

		::sprintf( name, "SDIB32GLD[%d]", m_ulRef );
		::GetModuleFileName( NULL, szModulePath, _MAX_PATH );
		::_splitpath( szModulePath, drive, dir, NULL, NULL );
		::_makepath( m_szLogName, drive, dir, name, ".log" );
		CFile::Remove( m_szLogName );
		m_ulRef++;
		Put( "load\n{\n" );
	}
	virtual ~CDebugOut() {
		Put( "}\nunload" );
	}
	
	static void Put( const char* format, ... ) {
		char buf[ 256 ];
		va_list argpt;
		va_start( argpt, format );
		::vsprintf( buf, format, argpt );
		va_end( argpt );

		CFile fin( m_szLogName, "a" );
		if( !fin ) return;

		::fprintf( fin, "%s", buf );
	}
};
#else
class CDebugOut {
public:
	static void Put( const char* format, ... ) { }
};
#endif

#endif /* _INC_STDAFX */